﻿using System;
using System.IO;
using System.Reflection;
using System.Runtime.InteropServices;

namespace Widow
{
    public static class Constants
    {
        #region Static Fields and Constants

        public static readonly string AssemblyName = Assembly.GetEntryAssembly().GetName().Name;

        public static readonly string AssemblyVersion = Assembly.GetEntryAssembly().GetName().Version.ToString();

        public static readonly string AssemblyGuid =
            ((GuidAttribute) Assembly.GetEntryAssembly().GetCustomAttributes(typeof(GuidAttribute), true)[0]).Value;

        #endregion

        #region Public Enums, Properties and Fields

        public static string WindowsSettingsFile => Path.Combine(UserApplicationDirectory, @"Windows.xml");

        #endregion

        #region Private Delegates, Events, Enums, Properties, Indexers and Fields

        public static string UserApplicationDirectory => Path.Combine(
            Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments), @"Wizardry and Steamworks", @"Widow");

        #endregion
    }
}